EFETCH(1)

NAME
efetch - retrieve entries from sequence databases.

SYNOPSIS
efetch -options [database:]<query>

DESCRIPTION
In the late 90s efetch was a very popular tool to extremely quickly retrieve entries from the most common public bioinformatics sequence and motif databases.

DATABASES
SWissprot/SP, PIR, WOrmpep/WP, EMbl, GEnbank/GB, ProDom, ProSite

OPTIONS:
-a Search with Accession number

-f Fasta format output

-q Sequence only output (one line)

-s <#> Start at position #

-e <#> Stop at position #

-o More options and info...

-D <dir> Specify database directory

-H Display index header data

-p Display entrynames in search path

-r Print sequence in 'raw' format

-m Fetch from mixed mini database

-M Mini format output

-b Do NOT reverse the order of bytes (SunOS, IRIX do reverse, Alpha not)

-d <dbfile> Specify database file (avoid this)

-i <idxfile> Specify index file (avoid this)

-l <divfile> Specify division lookup table (avoid this)

-B <database> Specify database (archaic)

-A Only return entryname for accession number

-n <name> Give the sequence this name

-x Don't require query to match entry's name exactly (avoid)

-w For Wormpep: also fetch cross-referenced SwissProt entry

-h shows this help text

ENVIRONMENT
SWDIR = SwissProt directory - database and EMBL index files PIRDIR = PIR -- " -- WORMDIR = Wormpep -- " -- EMBLDIR = EMBL -- " -- GBDIR = Genbank -- " -- PRODOMDIR = ProDom -- " -- PROSITEDIR = ProSite -- " -- DBDIR = User's own -- " -- (fasta format)

SEQDB
    database file (default SwissProt)

    SEQDBIDX index file DIVTABL division lookup table

    Ex. setenv DBDIR /pubseq/seqlibs/embl/

    Note that Prodom family consensus seqs can be fetched by PD:_#

AUTHOR
Erik Sonnhammer (esr@sanger.ac.uk)